// noise.h
#ifndef _NOISE_H_
#define _NOISE_H_

class Noise {
private:
  int seed;
  bool have_gauss;
  double rand_prv;
public:
  Noise() { seed = 1; have_gauss = false; }
  Noise(int s) { 
    seed = s;
    srand(seed);
  }
  
  double get(double d = 1.0) 
    {
      return (d * rand())/RAND_MAX;
    }
  double getgauss(double sig = 1.0);
  void init(int s=1) {
    seed = s;
    srand(seed);
  }
};

#endif /* _NOISE_H_ */
