//----------------------------------------------------------------------------------
// aviutlvOC nshape
// Copyright (c) 2005,2006  N099
//----------------------------------------------------------------------------------
#include <windows.h>
#include <malloc.h>
#include <mmintrin.h>

#include "filter.h"
#include "proc.h"

//---------------------------------------------------------------------
// global
//---------------------------------------------------------------------
PIXEL_YC *g_tbl = NULL;
const int NH_TABLE = 2; //mCYpe[uTCỶ{mۂ邩

//---------------------------------------------------------------------
// tB^\̒`
//---------------------------------------------------------------------
#define TRACK_N 3
TCHAR *track_name[] = { "MODE", "xY", "xC" };
int   track_d[] = { 0, 0, 0 };
int   track_s[] = { 0, 0, 0 };
int   track_e[] = { N_INIF-1, 256, 256 };
enum { T_MODE, T_Y, T_C };

#define CHECK_N 0
TCHAR *check_name[] = { "TFF" };
int    check_default[] = { 1 };
enum { C_TFF };

FILTER_DLL filter = {
  FILTER_FLAG_EX_INFORMATION, 0,0,
  "nshape",
  TRACK_N, track_name, track_d, track_s, track_e,
  CHECK_N, check_name, check_default,
  func_proc,
  NULL,
  func_exit, //func_exit,
  NULL, //func_update,
  NULL, NULL, NULL, NULL, 0,
  "nshape by N099, ver1.4",
  NULL,  NULL,

};

//---------------------------------------------------------------------
//     tB^\̂̃|C^n֐
//---------------------------------------------------------------------
EXTERN_C FILTER_DLL __declspec(dllexport) * __stdcall GetFilterTable( void )
{
  return &filter;
}

//---------------------------------------------------------------------
// IɌĂ΂֐
//---------------------------------------------------------------------
BOOL func_exit( FILTER *fp )
{
  if(NULL != g_tbl){
    _aligned_free(g_tbl);
    g_tbl = NULL;
  }
  
  return TRUE;
}

//---------------------------------------------------------------------
// ꎞ̈m
// ret  mallocȂ:0, malloc:1, mallocs:-1
//---------------------------------------------------------------------
int malloc_tmp(int h, int w)
{
  static size_t size;
  size_t sz;

  sz = w * h;

  //\ȗ̈悪Ƃ͂̂܂ܕԂ
  if(size >= sz && NULL != g_tbl){
    return 0;
  }

  func_exit(NULL);
  g_tbl = (PIXEL_YC*)_aligned_malloc(sz * sizeof(PIXEL_YC), 8);
  if(NULL == g_tbl){
    return -1;
  }

  size = sz;

  return 1;
}

//---------------------------------------------------------------------
// tB^֐
//---------------------------------------------------------------------
BOOL func_proc( FILTER *fp, FILTER_PROC_INFO *fpip )
{
  bool need_init = false;
  static int mode = -1;
  int w = fpip->w;

  //4̔{ɂ
  w += w&3 ? 4-(w&3) : 0;
  
  //ꎞ̈m
  if(fp->track[T_MODE]){
    int ret;

    ret = malloc_tmp(fpip->h * NH_TABLE, w);
    if(ret < 0){
      return FALSE;
    }

    need_init = (1==ret); //e[ȕKvł
  }

  //[hύXꍇ̓e[ȕKv
  if(mode !=  fp->track[T_MODE]){
    mode = fp->track[T_MODE];
    need_init = true;
  }

  _mm_empty();

  if(1 == fp->track[T_MODE]){
    //ԎɌ덷tB[hobN
    if(need_init){
      init_sum(g_tbl, fpip->h, w);
    }
    feedback_err(fpip->ycp_edit, g_tbl, fpip->h, w, fpip->max_w);
  }else if(fp->track[T_MODE]){
    //mCYt
    //KvȂmCYAZ
    ini_n[fp->track[T_MODE]](g_tbl, fpip->h * NH_TABLE, w,
                             fp->track[T_Y],
                             fp->track[T_C],
                             need_init);
    add_noise(fpip->ycp_edit, g_tbl,
              fpip->h, fpip->h * NH_TABLE, w, fpip->max_w);
  }else{
    //fʂ
    func_exit(NULL);
  }
  
  return TRUE;
}


